Quassel IRC - Bug #609

Buffer list not correctly sorted after unhiding buffers
03/07/2009 07:07 PM - Nightfall

Status: Resolved Start date: 03/07/2009
Priority: Normal Due date:

Assignee: % Done: 100%
Category: General / Unspecified Estimated time: 0.00 hour

Target version:
Version: 0.4.0+ 0S: Windows

Description

When you unhide (temporarily) hidden buffers in a sorted buffer view, they appear at the bottom of the network's buffer list instead of
at the correct position.

Steps to reproduce:

1) Unhide all channels for a specific network

2) (Disable and) enable "Sort alphabetically" for the buffer view to sort the list

3) Hide some buffers (temporarily)

4) Switch to "Edit mode" ("Show/Hide buffers" in the context menu) and unhide several channels
5) Leave edit mode

-> The unhidden channels are shown at the bottom of the list instead of at the correct position
Client restart doesn't fix it.

Associated revisions

Revision bbff8b7b37e35f61279b1e8b06a97969fe87f2a6 - 03/11/2009 07:18 PM - Marcus Eggenberger

fixes #609 - bufferview not correctly sorted

Revision bbff8b7b - 03/11/2009 07:18 PM - Marcus Eggenberger

fixes #609 - bufferview not correctly sorted

Revision f98def1665b4a521f396f746bae6358489b088ae - 03/11/2009 07:21 PM - Marcus Eggenberger

fixes #609 - bufferview not correctly sorted

Revision f98def16 - 03/11/2009 07:21 PM - Marcus Eggenberger

fixes #609 - bufferview not correctly sorted

History

#1 - 03/11/2009 08:05 PM - EgS
- Status changed from New to Resolved

- % Done changed from 0 to 100

Applied in changeset bbff8b7b37e35(61279b1e8b06a97969fe87{2a6.
